Bug 1732335 - A pacemaker_remoted node fails monitor (probe) and stop /start operations on a resource because it returns "rc=189 [rhel-7.7.z]
Summary: A pacemaker_remoted node fails monitor (probe) and stop /start operations on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker
Version: 7.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 7.7
Assignee: Ken Gaillot
QA Contact: pkomarov
URL:
Whiteboard:
Depends On: 1704870
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 07:50 UTC by RAD team bot copy to z-stream
Modified: 2019-09-03 17:42 UTC (History)
12 users (show)

Fixed In Version: pacemaker-1.1.20-5.el7_7.1
Doc Type: Bug Fix
Doc Text:
Cause: Pacemaker implicitly ordered all stops needed on a Pacemaker Remote node before the stop of the node's Pacemaker Remote connection, including stops that were implied by fencing of the node. Also, Pacemaker scheduled actions on Pacemaker Remote nodes with a failed connection so that the actions could be done once the connection is recovered, even if the connection wasn't being recovered (for example, if the node was shutting down when the failure occurred). Consequence: If a Pacemaker Remote node needed to be fenced while it was in the process of shutting down, once the fencing completed pacemaker scheduled probes on the node. The probes fail because the connection is not actually active. Due to the failed probe, a stop is scheduled which also fails, leading to fencing of the node again, and the situation repeats itself indefinitely. Fix: Pacemaker Remote connection stops are no longer ordered after implied stops, and actions are not scheduled on Pacemaker Remote nodes when the connection is failed and not being started again. Result: A Pacemaker Remote node that needs to be fenced while it is in the process of shutting down is fenced once, without repeating indefinitely.
Clone Of: 1704870
Environment:
Last Closed: 2019-09-03 17:42:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2608 None None None 2019-09-03 17:42:15 UTC
Red Hat Knowledge Base (Solution) 4056221 None None None 2019-07-23 07:50:59 UTC

Description RAD team bot copy to z-stream 2019-07-23 07:50:56 UTC
This bug has been copied from bug #1704870 and has been proposed to be backported to 7.7 z-stream (EUS).

Comment 3 pkomarov 2019-08-15 11:22:18 UTC
Verified , 
details in https://bugzilla.redhat.com/show_bug.cgi?id=1704870#c27

Comment 5 errata-xmlrpc 2019-09-03 17:42:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2608


Note You need to log in before you can comment on or make changes to this bug.